# convention

abstract fun convention(@Nullable elements: @Nullable Iterable<out T>): HasMultipleValues<T>

Specifies the value to use as the convention for this property. The convention is used when no value has been set for this property.

#### Return

this

#### Since

5.1

#### Parameters

elements

The elements, or `null` when the convention is that the property has no value.

abstract fun convention(provider: Provider<out Iterable<out T>>): HasMultipleValues<T>

Specifies the provider of the value to use as the convention for this property. The convention is used when no value has been set for this property.

#### Return

this

#### Since

5.1

#### Parameters

provider

The provider of the elements